package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PdBonusDto extends BaseDto {
	
	private static final long	serialVersionUID	= 1812427511435550686L;
	
	// 僼傿乕儖僪
	protected String			kCode				= "";					// 幮堳僐乕僪
	protected Date				calcDate;									// 寁嶼擭寧
	protected Date				payday;									// 媼梌巟媼擔
	protected String			calcStatus			= "";					// 寁嶼僗僥乕僞僗
	protected String			kName				= "";					// 幮堳巵柤
	protected String			stationCode			= "";					// 強懏僐乕僪
	protected String			positionCode		= "";					// 怑埵僐乕僪
	protected String			employmentType		= "";					// 屬梡嬫暘
	protected int				bonusAllowance01	= 0;					// 徿梌巟媼崁栚01
	protected int				bonusAllowance02	= 0;					// 徿梌巟媼崁栚02
	protected int				bonusAllowance03	= 0;					// 徿梌巟媼崁栚03
	protected int				bonusAllowance04	= 0;					// 徿梌巟媼崁栚04
	protected int				bonusAllowance05	= 0;					// 徿梌巟媼崁栚05
	protected int				bonusAllowance06	= 0;					// 徿梌巟媼崁栚06
	protected int				bonusAllowance07	= 0;					// 徿梌巟媼崁栚07
	protected int				bonusAllowance08	= 0;					// 徿梌巟媼崁栚08
	protected int				bonusAllowance09	= 0;					// 徿梌巟媼崁栚09
	protected int				bonusAllowance10	= 0;					// 徿梌巟媼崁栚10
	protected int				bonusAllowance11	= 0;					// 徿梌巟媼崁栚11
	protected int				bonusAllowance12	= 0;					// 徿梌巟媼崁栚12
	protected int				bonusAllowance13	= 0;					// 徿梌巟媼崁栚13
	protected int				bonusAllowance14	= 0;					// 徿梌巟媼崁栚14
	protected int				bonusAllowance15	= 0;					// 徿梌巟媼崁栚15
	protected int				bonusAllowance16	= 0;					// 徿梌巟媼崁栚16
	protected int				bonusAllowance17	= 0;					// 徿梌巟媼崁栚17
	protected int				bonusAllowance18	= 0;					// 徿梌巟媼崁栚18
	protected int				bonusAllowance19	= 0;					// 徿梌巟媼崁栚19
	protected int				bonusAllowance20	= 0;					// 徿梌巟媼崁栚20
	protected int				healthInsurance		= 0;					// 寬峃曐尟椏
	protected int				pensionInsurance	= 0;					// 岤惗擭嬥曐尟
	protected int				employeeInsurance	= 0;					// 屬梡曐尟椏
	protected int				incomeTax			= 0;					// 強摼惻
	protected int				nursingInsurance	= 0;					// 夘岇曐尟椏
	protected int				bonusDeduction06	= 0;					// 徿梌峊彍崁栚06
	protected int				bonusDeduction07	= 0;					// 徿梌峊彍崁栚07
	protected int				bonusDeduction08	= 0;					// 徿梌峊彍崁栚08
	protected int				bonusDeduction09	= 0;					// 徿梌峊彍崁栚09
	protected int				bonusDeduction10	= 0;					// 徿梌峊彍崁栚10
	protected int				bonusDeduction11	= 0;					// 徿梌峊彍崁栚11
	protected int				bonusDeduction12	= 0;					// 徿梌峊彍崁栚12
	protected int				bonusDeduction13	= 0;					// 徿梌峊彍崁栚13
	protected int				bonusDeduction14	= 0;					// 徿梌峊彍崁栚14
	protected int				bonusDeduction15	= 0;					// 徿梌峊彍崁栚15
	protected int				bonusDeduction16	= 0;					// 徿梌峊彍崁栚16
	protected int				bonusDeduction17	= 0;					// 徿梌峊彍崁栚17
	protected int				bonusDeduction18	= 0;					// 徿梌峊彍崁栚18
	protected int				bonusDeduction19	= 0;					// 徿梌峊彍崁栚19
	protected int				bonusDeduction20	= 0;					// 徿梌峊彍崁栚20
	protected int				allowanceTotal		= 0;					// 憤巟媼嬥妟
	protected int				deductionTotal		= 0;					// 憤峊彍嬥妟
	protected int				paymentTotal		= 0;					// 嵎堷巟媼妟
	protected int				bank1PayAmount		= 0;					// 嬧峴1怳崬妟
	protected int				bank2PayAmount		= 0;					// 嬧峴2怳崬妟
	protected int				cashPayAmount		= 0;					// 尰嬥巟媼妟
	protected int				dependentCount		= 0;					// 晑梴摍偺悢
	protected int				lastMonthTaxation	= 0;					// 慜寧媼梌偺壽惻懳徾妟
	protected int				totalYearBonus		= 0;					// 擭搙椵寁徿梌妟
	protected float				incomeRate			= 0;					// 強摼惻棪
	protected int				empInsBasic			= 0;					// 屬曐懳徾婎弨妟
																			
	
	/**
	 * 僐儞僗僩儔僋僞
	 */
	public PdBonusDto() {
		super();
	}
	
	/**
	 * 憤巟媼妟庢摼
	 */
	public int calcBonusAllowanceTotal() {
		return bonusAllowance01 + bonusAllowance02 + bonusAllowance03 + bonusAllowance04 + bonusAllowance05
				+ bonusAllowance06 + bonusAllowance07 + bonusAllowance08 + bonusAllowance09 + bonusAllowance10
				+ bonusAllowance11 + bonusAllowance12 + bonusAllowance13 + bonusAllowance14 + bonusAllowance15
				+ bonusAllowance16 + bonusAllowance17 + bonusAllowance18 + bonusAllowance19 + bonusAllowance20;
	}
	
	/**
	 * 憤峊彍妟庢摼
	 */
	public int calcBonusDeductionTotal() {
		return calcBonusSocialInsurance() + incomeTax + calcBonusGenaralDeduction();
	}
	
	/**
	 * 彅峊彍妟庢摼
	 */
	public int calcBonusGenaralDeduction() {
		return bonusDeduction06 + bonusDeduction07 + bonusDeduction08 + bonusDeduction09 + bonusDeduction10
				+ bonusDeduction11 + bonusDeduction12 + bonusDeduction13 + bonusDeduction14 + bonusDeduction15
				+ bonusDeduction16 + bonusDeduction17 + bonusDeduction18 + bonusDeduction19 + bonusDeduction20;
	}
	
	/**
	 * 幮夛曐尟椏庢摼
	 * @return 幮夛曐尟椏(崌寁)
	 */
	public int calcBonusSocialInsurance() {
		return healthInsurance + pensionInsurance + employeeInsurance + nursingInsurance;
	}
	
	// 傾僋僙僒儊僜僢僪
	public String getKCode() {
		return kCode;
	} // 幮堳僐乕僪
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 寁嶼擭寧
	
	public Date getPayday() {
		return getDateField(payday);
	} // 媼梌巟媼擔
	
	public String getCalcStatus() {
		return calcStatus;
	} // 寁嶼僗僥乕僞僗
	
	public String getKName() {
		return kName;
	} // 幮堳巵柤
	
	public String getStationCode() {
		return stationCode;
	} // 強懏僐乕僪
	
	public String getPositionCode() {
		return positionCode;
	} // 怑埵僐乕僪
	
	public String getEmploymentType() {
		return employmentType;
	} // 屬梡嬫暘
	
	public int getBonusAllowance01() {
		return bonusAllowance01;
	} // 徿梌巟媼崁栚01
	
	public int getBonusAllowance02() {
		return bonusAllowance02;
	} // 徿梌巟媼崁栚02
	
	public int getBonusAllowance03() {
		return bonusAllowance03;
	} // 徿梌巟媼崁栚03
	
	public int getBonusAllowance04() {
		return bonusAllowance04;
	} // 徿梌巟媼崁栚04
	
	public int getBonusAllowance05() {
		return bonusAllowance05;
	} // 徿梌巟媼崁栚05
	
	public int getBonusAllowance06() {
		return bonusAllowance06;
	} // 徿梌巟媼崁栚06
	
	public int getBonusAllowance07() {
		return bonusAllowance07;
	} // 徿梌巟媼崁栚07
	
	public int getBonusAllowance08() {
		return bonusAllowance08;
	} // 徿梌巟媼崁栚08
	
	public int getBonusAllowance09() {
		return bonusAllowance09;
	} // 徿梌巟媼崁栚09
	
	public int getBonusAllowance10() {
		return bonusAllowance10;
	} // 徿梌巟媼崁栚10
	
	public int getBonusAllowance11() {
		return bonusAllowance11;
	} // 徿梌巟媼崁栚11
	
	public int getBonusAllowance12() {
		return bonusAllowance12;
	} // 徿梌巟媼崁栚12
	
	public int getBonusAllowance13() {
		return bonusAllowance13;
	} // 徿梌巟媼崁栚13
	
	public int getBonusAllowance14() {
		return bonusAllowance14;
	} // 徿梌巟媼崁栚14
	
	public int getBonusAllowance15() {
		return bonusAllowance15;
	} // 徿梌巟媼崁栚15
	
	public int getBonusAllowance16() {
		return bonusAllowance16;
	} // 徿梌巟媼崁栚16
	
	public int getBonusAllowance17() {
		return bonusAllowance17;
	} // 徿梌巟媼崁栚17
	
	public int getBonusAllowance18() {
		return bonusAllowance18;
	} // 徿梌巟媼崁栚18
	
	public int getBonusAllowance19() {
		return bonusAllowance19;
	} // 徿梌巟媼崁栚19
	
	public int getBonusAllowance20() {
		return bonusAllowance20;
	} // 徿梌巟媼崁栚20
	
	public int getHealthInsurance() {
		return healthInsurance;
	} // 寬峃曐尟椏
	
	public int getPensionInsurance() {
		return pensionInsurance;
	} // 岤惗擭嬥曐尟
	
	public int getEmployeeInsurance() {
		return employeeInsurance;
	} // 屬梡曐尟椏
	
	public int getIncomeTax() {
		return incomeTax;
	} // 強摼惻
	
	public int getNursingInsurance() {
		return nursingInsurance;
	} // 夘岇曐尟椏
	
	public int getBonusDeduction06() {
		return bonusDeduction06;
	} // 徿梌峊彍崁栚06
	
	public int getBonusDeduction07() {
		return bonusDeduction07;
	} // 徿梌峊彍崁栚07
	
	public int getBonusDeduction08() {
		return bonusDeduction08;
	} // 徿梌峊彍崁栚08
	
	public int getBonusDeduction09() {
		return bonusDeduction09;
	} // 徿梌峊彍崁栚09
	
	public int getBonusDeduction10() {
		return bonusDeduction10;
	} // 徿梌峊彍崁栚10
	
	public int getBonusDeduction11() {
		return bonusDeduction11;
	} // 徿梌峊彍崁栚11
	
	public int getBonusDeduction12() {
		return bonusDeduction12;
	} // 徿梌峊彍崁栚12
	
	public int getBonusDeduction13() {
		return bonusDeduction13;
	} // 徿梌峊彍崁栚13
	
	public int getBonusDeduction14() {
		return bonusDeduction14;
	} // 徿梌峊彍崁栚14
	
	public int getBonusDeduction15() {
		return bonusDeduction15;
	} // 徿梌峊彍崁栚15
	
	public int getBonusDeduction16() {
		return bonusDeduction16;
	} // 徿梌峊彍崁栚16
	
	public int getBonusDeduction17() {
		return bonusDeduction17;
	} // 徿梌峊彍崁栚17
	
	public int getBonusDeduction18() {
		return bonusDeduction18;
	} // 徿梌峊彍崁栚18
	
	public int getBonusDeduction19() {
		return bonusDeduction19;
	} // 徿梌峊彍崁栚19
	
	public int getBonusDeduction20() {
		return bonusDeduction20;
	} // 徿梌峊彍崁栚20
	
	public int getAllowanceTotal() {
		return allowanceTotal;
	} // 憤巟媼嬥妟
	
	public int getDeductionTotal() {
		return deductionTotal;
	} // 憤峊彍嬥妟
	
	public int getPaymentTotal() {
		return paymentTotal;
	} // 嵎堷巟媼妟
	
	public int getBank1PayAmount() {
		return bank1PayAmount;
	} // 嬧峴1怳崬妟
	
	public int getBank2PayAmount() {
		return bank2PayAmount;
	} // 嬧峴2怳崬妟
	
	public int getCashPayAmount() {
		return cashPayAmount;
	} // 尰嬥巟媼妟
	
	public int getDependentCount() {
		return dependentCount;
	} // 晑梴摍偺悢
	
	public int getLastMonthTaxation() {
		return lastMonthTaxation;
	} // 慜寧媼梌偺壽惻懳徾妟
	
	public int getTotalYearBonus() {
		return totalYearBonus;
	} // 擭搙椵寁徿梌妟
	
	public float getIncomeRate() {
		return incomeRate;
	} //強摼惻棪
	
	public int getEmpInsBasic() {
		return empInsBasic;
	} // 屬曐懳徾婎弨妟
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 幮堳僐乕僪
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 寁嶼擭寧
	
	public void setPayday(Date payday) {
		this.payday = getDateField(payday);
	} // 媼梌巟媼擔
	
	public void setCalcStatus(String calcStatus) {
		this.calcStatus = calcStatus;
	} // 寁嶼僗僥乕僞僗
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 幮堳巵柤
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 強懏僐乕僪
	
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	} // 怑埵僐乕僪
	
	public void setEmploymentType(String employmentType) {
		this.employmentType = employmentType;
	} // 屬梡嬫暘
	
	public void setBonusAllowance01(int bonusAllowance01) {
		this.bonusAllowance01 = bonusAllowance01;
	} // 徿梌巟媼崁栚01
	
	public void setBonusAllowance02(int bonusAllowance02) {
		this.bonusAllowance02 = bonusAllowance02;
	} // 徿梌巟媼崁栚02
	
	public void setBonusAllowance03(int bonusAllowance03) {
		this.bonusAllowance03 = bonusAllowance03;
	} // 徿梌巟媼崁栚03
	
	public void setBonusAllowance04(int bonusAllowance04) {
		this.bonusAllowance04 = bonusAllowance04;
	} // 徿梌巟媼崁栚04
	
	public void setBonusAllowance05(int bonusAllowance05) {
		this.bonusAllowance05 = bonusAllowance05;
	} // 徿梌巟媼崁栚05
	
	public void setBonusAllowance06(int bonusAllowance06) {
		this.bonusAllowance06 = bonusAllowance06;
	} // 徿梌巟媼崁栚06
	
	public void setBonusAllowance07(int bonusAllowance07) {
		this.bonusAllowance07 = bonusAllowance07;
	} // 徿梌巟媼崁栚07
	
	public void setBonusAllowance08(int bonusAllowance08) {
		this.bonusAllowance08 = bonusAllowance08;
	} // 徿梌巟媼崁栚08
	
	public void setBonusAllowance09(int bonusAllowance09) {
		this.bonusAllowance09 = bonusAllowance09;
	} // 徿梌巟媼崁栚09
	
	public void setBonusAllowance10(int bonusAllowance10) {
		this.bonusAllowance10 = bonusAllowance10;
	} // 徿梌巟媼崁栚10
	
	public void setBonusAllowance11(int bonusAllowance11) {
		this.bonusAllowance11 = bonusAllowance11;
	} // 徿梌巟媼崁栚11
	
	public void setBonusAllowance12(int bonusAllowance12) {
		this.bonusAllowance12 = bonusAllowance12;
	} // 徿梌巟媼崁栚12
	
	public void setBonusAllowance13(int bonusAllowance13) {
		this.bonusAllowance13 = bonusAllowance13;
	} // 徿梌巟媼崁栚13
	
	public void setBonusAllowance14(int bonusAllowance14) {
		this.bonusAllowance14 = bonusAllowance14;
	} // 徿梌巟媼崁栚14
	
	public void setBonusAllowance15(int bonusAllowance15) {
		this.bonusAllowance15 = bonusAllowance15;
	} // 徿梌巟媼崁栚15
	
	public void setBonusAllowance16(int bonusAllowance16) {
		this.bonusAllowance16 = bonusAllowance16;
	} // 徿梌巟媼崁栚16
	
	public void setBonusAllowance17(int bonusAllowance17) {
		this.bonusAllowance17 = bonusAllowance17;
	} // 徿梌巟媼崁栚17
	
	public void setBonusAllowance18(int bonusAllowance18) {
		this.bonusAllowance18 = bonusAllowance18;
	} // 徿梌巟媼崁栚18
	
	public void setBonusAllowance19(int bonusAllowance19) {
		this.bonusAllowance19 = bonusAllowance19;
	} // 徿梌巟媼崁栚19
	
	public void setBonusAllowance20(int bonusAllowance20) {
		this.bonusAllowance20 = bonusAllowance20;
	} // 徿梌巟媼崁栚20
	
	public void setHealthInsurance(int healthInsurance) {
		this.healthInsurance = healthInsurance;
	} // 寬峃曐尟椏
	
	public void setPensionInsurance(int pensionInsurance) {
		this.pensionInsurance = pensionInsurance;
	} // 岤惗擭嬥曐尟
	
	public void setEmployeeInsurance(int employeeInsurance) {
		this.employeeInsurance = employeeInsurance;
	} // 屬梡曐尟椏
	
	public void setIncomeTax(int incomeTax) {
		this.incomeTax = incomeTax;
	} // 強摼惻
	
	public void setNursingInsurance(int nursingInsurance) {
		this.nursingInsurance = nursingInsurance;
	} // 夘岇曐尟椏
	
	public void setBonusDeduction06(int bonusDeduction06) {
		this.bonusDeduction06 = bonusDeduction06;
	} // 徿梌峊彍崁栚06
	
	public void setBonusDeduction07(int bonusDeduction07) {
		this.bonusDeduction07 = bonusDeduction07;
	} // 徿梌峊彍崁栚07
	
	public void setBonusDeduction08(int bonusDeduction08) {
		this.bonusDeduction08 = bonusDeduction08;
	} // 徿梌峊彍崁栚08
	
	public void setBonusDeduction09(int bonusDeduction09) {
		this.bonusDeduction09 = bonusDeduction09;
	} // 徿梌峊彍崁栚09
	
	public void setBonusDeduction10(int bonusDeduction10) {
		this.bonusDeduction10 = bonusDeduction10;
	} // 徿梌峊彍崁栚10
	
	public void setBonusDeduction11(int bonusDeduction11) {
		this.bonusDeduction11 = bonusDeduction11;
	} // 徿梌峊彍崁栚11
	
	public void setBonusDeduction12(int bonusDeduction12) {
		this.bonusDeduction12 = bonusDeduction12;
	} // 徿梌峊彍崁栚12
	
	public void setBonusDeduction13(int bonusDeduction13) {
		this.bonusDeduction13 = bonusDeduction13;
	} // 徿梌峊彍崁栚13
	
	public void setBonusDeduction14(int bonusDeduction14) {
		this.bonusDeduction14 = bonusDeduction14;
	} // 徿梌峊彍崁栚14
	
	public void setBonusDeduction15(int bonusDeduction15) {
		this.bonusDeduction15 = bonusDeduction15;
	} // 徿梌峊彍崁栚15
	
	public void setBonusDeduction16(int bonusDeduction16) {
		this.bonusDeduction16 = bonusDeduction16;
	} // 徿梌峊彍崁栚16
	
	public void setBonusDeduction17(int bonusDeduction17) {
		this.bonusDeduction17 = bonusDeduction17;
	} // 徿梌峊彍崁栚17
	
	public void setBonusDeduction18(int bonusDeduction18) {
		this.bonusDeduction18 = bonusDeduction18;
	} // 徿梌峊彍崁栚18
	
	public void setBonusDeduction19(int bonusDeduction19) {
		this.bonusDeduction19 = bonusDeduction19;
	} // 徿梌峊彍崁栚19
	
	public void setBonusDeduction20(int bonusDeduction20) {
		this.bonusDeduction20 = bonusDeduction20;
	} // 徿梌峊彍崁栚20
	
	public void setAllowanceTotal(int allowanceTotal) {
		this.allowanceTotal = allowanceTotal;
	} // 憤巟媼嬥妟
	
	public void setDeductionTotal(int deductionTotal) {
		this.deductionTotal = deductionTotal;
	} // 憤峊彍嬥妟
	
	public void setPaymentTotal(int paymentTotal) {
		this.paymentTotal = paymentTotal;
	} // 嵎堷巟媼妟
	
	public void setBank1PayAmount(int bank1PayAmount) {
		this.bank1PayAmount = bank1PayAmount;
	} // 嬧峴1怳崬妟
	
	public void setBank2PayAmount(int bank2PayAmount) {
		this.bank2PayAmount = bank2PayAmount;
	} // 嬧峴2怳崬妟
	
	public void setCashPayAmount(int cashPayAmount) {
		this.cashPayAmount = cashPayAmount;
	} // 尰嬥巟媼妟
	
	public void setDependentCount(int dependentCount) {
		this.dependentCount = dependentCount;
	} // 晑梴摍偺悢
	
	public void setLastMonthTaxation(int lastMonthTaxation) {
		this.lastMonthTaxation = lastMonthTaxation;
	} // 晑梴摍偺悢
	
	public void setTotalYearBonus(int totalYearBonus) {
		this.totalYearBonus = totalYearBonus;
	} // 晑梴摍偺悢
	
	public void setIncomeRate(float incomeRate) {
		this.incomeRate = incomeRate;
	} // 強摼惻棪
	
	public void setEmpInsBasic(int empInsBasic) {
		this.empInsBasic = empInsBasic;
	} // 屬曐懳徾婎弨妟
	
}
